Skip to main content
POST
/
v1
/
customFields
/
listKeys
List custom field keys
curl --request POST \
  --url https://api.metronome.com/v1/customFields/listKeys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entities": [
    "customer"
  ]
}
'
import requests

url = "https://api.metronome.com/v1/customFields/listKeys"

payload = { "entities": ["customer"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entities: ['customer']})
};

fetch('https://api.metronome.com/v1/customFields/listKeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "entity": "customer",
      "key": "x_account_id",
      "enforce_uniqueness": true
    }
  ],
  "next_page": null
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

next_page
string

Cursor that indicates where the next page of results should start.

Body

application/json
entities
enum<string>[]

Optional list of entity types to return keys for

Available options:
alert,
billable_metric,
charge,
commit,
contract_credit,
contract_product,
contract,
customer,
discount,
invoice,
product,
rate_card,
scheduled_charge,
subscription,
package_commit,
package_credit,
package_subscription,
package_scheduled_charge

Response

200 - application/json

Success

data
object[]
required
next_page
string | null
required